#!/bin/bash
# Copyright 2015 Michal Žejdl
# count organization code from enterprise OID (.1.3.6.1.4.1)
# for net-snmp -> NetMRG graph
# show sorted list of codes if no argument is given
# dependence: mysql

confdir=$(dirname $0)/..
config=$confdir/defaults.sh
test -f $config || exit
. $config

if test $# -eq 0; then
	mysql -e "\
		select \
			count(substring_index(sysObjectID, '.', 8)) count, \
			substring_index(sysObjectID, '.', 8) enterprise \
		from snmpagent where \
			( \
				exists (select * from snmp4 \
					where status = 0 and agent = id) \
			or \
				exists (select * from snmp6 \
					where status = 0 and agent = id) \
			) \
			and sysObjectID like '.1.3.6.1.4.1.%' \
		group by enterprise order by count \
		" -h $dbhost -p$dbrpass -u $dbruser $dbname -t
else
	if ! test "$1" -ge 0; then
		echo "usage: $(basename $0) [natural number]"
		exit
	fi
	number=$1;
	mysql -e "\
		select count(*) from snmpagent where \
			( \
				exists (select * from snmp4 \
					where status = 0 and agent = id) \
			or \
				exists (select * from snmp6 \
					where status = 0 and agent = id) \
			) \
			and substring_index(sysObjectID, '.', 8) = \
				'.1.3.6.1.4.1.$number' \
		" $select_opts
fi
