#!/bin/bash
# Copyright 2015 Michal Žejdl
# count given value in one column of snmp table
# count only agents with IP addresses (updated) and recent interfaces
# for net-snmp -> NetMRG graph
# dependence: mysql

confdir=$(dirname $0)/..
config=$confdir/defaults.sh
test -f $config || exit
. $config

case $# in
0)
	mysql -e "show tables" -h $dbhost -p$dbrpass -u $dbruser $dbname -t
	;;
1)
	mysql -e "explain $1" -h $dbhost -p$dbrpass -u $dbruser $dbname -t
	;;
2)
	mysql -e "select $2, count($2) from $1 \
			where \
			( \
				exists (select * from snmp4 \
					where status = 0 and agent = $1.agent) \
			or \
				exists (select * from snmp6 \
					where status = 0 and agent = $1.agent) \
			) \
			and time > unix_timestamp() - 3 * $snmpinterval \
			group by $2 \
			order by count($2) \
		" -h $dbhost -p$dbrpass -u $dbruser $dbname -t
	;;
3)
	mysql -e "select count(*) from $1 \
			where \
			( \
				exists (select * from snmp4 \
					where status = 0 and agent = $1.agent) \
			or \
				exists (select * from snmp6 \
					where status = 0 and agent = $1.agent) \
			) \
			and $2 = '$3' \
			and time > unix_timestamp() - 3 * $snmpinterval \
		" $select_opts
	;;
*)
	echo "usage: $(basename $0) [table [column [value]]]"
	;;
esac
