#!/bin/bash
# Michal Žejdl 2008, 2009
# hledá MAC na přepínačích
# první subselect (za in) jsou aktivní MAC adresy směrovačů

. /usr/local/etc/mysql_prepinace

if test "$#" -ne "1"; then
  echo -e "\nJako parametr čekám hledanou MAC adresu přepínače."
  echo -e "\nnapříklad:\n"
  echo -e "  uzel.sh 00:0a:04:2f:20:00\n"
  exit
fi

mac=$(echo $1 | arpwatch2normal)
mysql -e "select switch, t1.port, from_unixtime(t1.time) 'time' from fdb t1 left join fdb t2 using(switch) where t1.mac = '$mac' and t2.mac in (select mac from arp where ip like '10.%.1.1' and time = (select max(time) from arp arp2 where arp.ip = arp2.ip) order by ip) and t1.port <> t2.port order by time" $mysql_prepinace
